package cz.muni.sutralog.database

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query

@Dao
interface CategoryDao {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun saveEntity(entity: CategoryEntity)

    @Query("UPDATE FROM CategoryEntity SET name = :name, color = :color WHERE id = :id")
    fun editById(id: Long, name: String, color: String)

    @Query("DELETE FROM CategoryEntity WHERE id = :id")
    fun deleteById(id: Long)

    @Query("SELECT * FROM CategoryEntity")
    fun getAll(): List<CategoryEntity>
}