package cz.muni.sutralog.database

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import java.time.LocalDate

@Dao
interface RockDao {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun saveEntity(entity: RockEntity)

    @Query("UPDATE FROM RockEntity SET folderPath = :folderPath, categoryId = :categoryId, " +
            "name = :name, count = :count, locality = :locality, latitude = :latitude, " +
            "longitude = :longitude, from = :from, date = :date, where = :where, " +
            "description = :description, comment = :comment, color = :color" +
            "WHERE id = :id")
    fun editById(id: Long, folderPath: String, categoryId: Long, name: String, count: Number, locality: String,
                 latitude: Double, longitude: Double, from: String, date: LocalDate, where: String,
                 description: String, comment: String, color: String)

    @Query("DELETE FROM RockEntity WHERE id = :id")
    fun deleteById(id: Long)

    @Query("SELECT * FROM RockEntity")
    fun getAll(): List<RockEntity>
}