package cz.muni.sutralog.database

import android.content.Context
import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase

@Database(
    entities = [CategoryEntity::class],
    version = 1
)

abstract class SutralogDatabase : RoomDatabase() {

    companion object {
        private const val NAME = "sutralog-mock.db"

        fun create(context: Context): SutralogDatabase =
            Room.databaseBuilder(context, SutralogDatabase::class.java, NAME)
                .allowMainThreadQueries()
                .build()
    }

    abstract fun categoryDao(): CategoryDao
    abstract fun rockDao(): RockDao
}