package cz.muni.sutralog.ui.list

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.LinearLayoutManager
import cz.muni.sutralog.databinding.CategoriesListBinding
import cz.muni.sutralog.repository.CategoryRepository

class CategoryListFragment : Fragment() {

    private lateinit var binding: CategoriesListBinding

    private val categoryRepository: CategoryRepository by lazy {
        CategoryRepository()
    }

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View {
        binding = CategoriesListBinding.inflate(layoutInflater, container, false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        val adapter = CategoryAdapter(
            onItemClick = {

            },
        )


        binding.recyclerView.layoutManager = LinearLayoutManager(requireContext())
        binding.recyclerView.adapter = adapter

        adapter.submitList(categoryRepository.getMockedData(100))
    }
}
