package cz.muni.sutralog.ui.list

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.LinearLayoutManager
import cz.muni.sutralog.databinding.RocksListBinding
import cz.muni.sutralog.repository.RockRepository

class RockListFragment : Fragment() {

    private lateinit var binding: RocksListBinding

    private val rockRepository: RockRepository by lazy {
        RockRepository()
    }

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View {
        binding = RocksListBinding.inflate(layoutInflater, container, false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        val adapter = RockAdapter(
            onItemClick = {

            },
        )


        binding.recyclerView.layoutManager = LinearLayoutManager(requireContext())
        binding.recyclerView.adapter = adapter

        adapter.submitList(rockRepository.getMockedData(100))
    }
}